CVE-2022-30775

Name
CVE-2022-30775
Description
xpdf 4.04 allocates excessive memory when presented with crafted input. This can be triggered by (for example) sending a crafted PDF document to the pdftoppm binary. It is most easily reproduced with the DCMAKE_CXX_COMPILER=afl-clang-fast++ option.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
MISC https://forum.xpdfreader.com/viewtopic.php?f=3&t=42264

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:xpdfreader:xpdf:4.04:*:*:*:*:*:*:* xpdf == None == 4.04

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
xpdf edge-community 4.04-r0 Dominika Liberda <ja@sdomi.pl> possibly vulnerable
xpdf 3.16-community 4.04-r0 Dominika Liberda <ja@sdomi.pl> possibly vulnerable